Page MenuHomePhabricator

Drop PHP 7.1 support from MediaWiki
Closed, ResolvedPublic

Description

PHP 7.1 will lose security support at the end of 2019.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 6:56 PM
Jdforrester-WMF changed the task status from Open to Stalled.Feb 14 2019, 6:56 PM

Not right now.

Anomie added a subscriber: Anomie.Feb 14 2019, 7:16 PM
Legoktm changed the status of subtask T216165: Drop PHP 7.0 support from MediaWiki from Open to Stalled.Feb 14 2019, 7:45 PM
Tgr added a subscriber: Tgr.Feb 14 2019, 10:33 PM

Per T216165#4955878 it seems all major distros jumped from 7.0 to 7.2 so no reason not to drop 7.1 when we drop 7.0. (On the language level, 7.2 is not too exciting, but it supports Argon password hashes which are resilient to bruteforcing on dedicated hardware, plus Sodium which means we won't have to depend on OpenSSL being installed for most things. So that seems like a big deal.)

Reedy moved this task from Backlog to MediaWiki core on the PHP 7.1 support board.Jun 8 2019, 11:49 PM

Change 516829 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Bump PHP version requirement to 7.2.0+

https://gerrit.wikimedia.org/r/516829

Change 516829 merged by jenkins-bot:
[mediawiki/core@master] Bump PHP version requirement to 7.2.0+

https://gerrit.wikimedia.org/r/516829

Jdforrester-WMF closed this task as Resolved.Sep 17 2019, 1:39 AM
Jdforrester-WMF claimed this task.

Done. Live in master and will ship in MediaWiki 1.34.0+.

Paladox added a subscriber: Paladox.Sun, Oct 6, 8:31 PM